curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/search_volume/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"location_name": "United States",
"language_name": "English",
"keywords": [
"average page rpm adsense",
"adsense blank ads how long",
"leads and prospects"
]
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/search_volume/task_post"
payload = [
{
"location_name": "United States",
"language_name": "English",
"keywords": ["average page rpm adsense", "adsense blank ads how long", "leads and prospects"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
location_name: 'United States',
language_name: 'English',
keywords: [
'average page rpm adsense',
'adsense blank ads how long',
'leads and prospects'
]
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/search_volume/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}设置“搜索量”任务
此端点将提供上个月的搜索量数据、过去最多 24 个月的搜索量趋势(可用于估算搜索量变化趋势),以及付费搜索当前的每次点击费用和竞争程度值。
示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/search_volume/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"keywords": "...", "location_name": "...", "location_code": "..."}]'
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
keywords
required field
The maximum number of keywords you can specify: 1000
The maximum number of characters for each keyword: 100
the specified keywords will be converted to lowercase, data will be provided in a separate array
learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:London,England,United Kingdom
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:2840
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude" format
the data will be provided for the country the specified coordinates belong to
example:52.6178549,-155.352142
full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
supported languages:English, French, German
search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
supported languages:en, fr, de
device type
optional field
specify this field if you want to get the data for a particular device typepossible values: all, mobile, desktop, tablet
default value: all
results sorting parameters
optional field
Use these parameters to sort the results by search_volume, cpc, competition or relevance in the descending order
default value: relevance
starting date of the time range
optional field
if you don't specify this field, data will be provided for the last 12 months
minimal value: 24 months from today's date
if Status endpoint returns false in the actual_data field, date_from can be set to the month before last and prior;
if Status endpoint returns true in the actual_data field, date_from can be set to the last month and prior;
date format: "yyyy-mm-dd"
example:"2020-01-01"
Note: we do not recommend using a custom time range for the past year's dates
ending date of the time range
optional field
if you don't specify this field, data will be provided for the last 12 months;
minimum value: two years back from today’s date;
maximum value: one month from today's date;
note: we do not recommend using a custom time range for the past year's dates;
date format: "yyyy-mm-dd"
example:"2020-03-15"
Note: we do not recommend using a custom time range for the past year's dates
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:http://your-server.com/postbackscript?id=$idhttp://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request
example:http://your-server.com/pingscript?id=$idhttp://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
Bing search partners type
optional field
if you specify true, the results will be delivered for owned, operated, and syndicated networks across Bing, Yahoo, AOL and partner sites that host Bing, AOL, and Yahoo search.
default value: false - results are returned for Bing, AOL, and Yahoo search networks
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[ { "location_name": "United States", "language_name": "English", "keywords": [ "average page rpm adsense", "adsense blank ads how long", "leads and prospects" ] } ]
响应
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes